' C:\Program Files\Quest\LightsOff.asl created by QDK 1.02

'*** The following line is required by QDK - please do not remove
'QDK-NIP <256>


define game <"Lights Off">
asl-version <217>
start <Bedroom>
game author <>
game version <1.0>
game copyright <>
game info <Created with QDK 1.02>
default fontname <>
default fontsize <0>
items <Book; Clothes; Flashlight; Key; CD Player; Midnight Snack; Bookshelf>
startitems <Clothes>
collectables <Basement dp=0 []>
command <eat Midnight Snack> do <~Internal Procedure 254>
end define

define synonyms
end define
define room <Bedroom>
look <You are in your bedroom. The Den is east from here.>
east <Den>
place <Closet>
command <drop CD Player> do <~Internal Procedure 242>
command <drop book> do <~Internal Procedure 243>
use <Flashlight> do <~Internal Procedure 250>
define object <Book>
look msg <Your book is where you dropped it.>
take do <~Internal Procedure 236>

end define
define object <Bed>
look msg <You can barely make out the shape of your bed.>

end define
define object <Dresser>
look msg <You see the dresser, but you can't see the handle to open the dresser.>

end define
define object <Bookshelf>
look msg <A bookshelf full of your favorite books.>
hidden
use <Flashlight> do <~Internal Procedure 241>

end define
define object <CD Player>
look msg <Your CD Player in the right place.>
take msg <It's where it is supposed to be. You don't want to move it or you will lose it again.>
hidden

end define

end define

define room <Closet>
look <This is your closet.>
out <Bedroom>
script do <~Internal Procedure 237>
use <Flashlight> msg <You shine the flashlight around the room. You can see different clothes now.>
define object <Clothes>
look msg <You can't tell the difference between each of the clothes, but you can see faint outlines.>

end define

end define

define room <Den>
look <This is the Den. West is your bedroom, east is the Living Room,  north are some Stairs to the upstairs, and south are the stairs to the basement.>
north <Stairs>
south if has <%Basement%;1> then goto <Basement Stairs opened> else goto <Basement Stairs>
east <Living Room>
west <Bedroom>
use <Flashlight> msg <You use the flashlight. The only thing you can see you didn't see before is the ceiling fan.>
define object <Couch>
look msg <You can see the bare outline of the couch.>
use <Flashlight> msg <You can see the whole couch now.>

end define
define object <TV>
look msg <As the power has gone out, the tv doesn't work.>
use <Flashlight> msg <The tv still doesn't work, but you can see it now.>

end define

end define

define room <Living Room>
look <There is a window here, so you can see a little better. West is the Den, and south is the Kitchen.>
south <Kitchen>
west <Den>
use <Flashlight> msg <You can't see much more than you could before.>
define object <Table>
look msg <A table for eating on.>

end define
define object <Chairs>
look msg <To sit in.>

end define
define object <Couches>
look msg <For when company comes over.>

end define

end define

define room <Kitchen>
look <This is the kitchen. You can hardly see anything. North is the living room, and west is the garage.>
north <Living Room>
west <Garage>
use <Flashlight> do <~Internal Procedure 245>
define object <Table>
look msg <To eat on.>
use <Flashlight> msg <You can see the table now.>

end define
define object <Chairs>
look msg <These chairs are for sitting at the table.>
use <Flashlight> msg <You can see the chairs now.>

end define
define object <Cupboards>
look msg <They are full of food.>
take do <~Internal Procedure 244>
hidden

end define

end define

define room <Garage>
look <There is nothing but your truck here. >
east <Kitchen>
use <Flashlight> msg <It's exactly like you left it yesterday.>
define object <Truck>
look msg <You can only see a very faint outline of the truck, as it is completely dark in here.>

end define

end define

define room <Stairs>
look <These lead to the upstairs>
north <Hallway>
south <Den>
use <Flashlight> msg <You shine the flashlight around the room. Nothing appears that wasn't visible before.>
define object <Stairs>
look msg <They are used to climb to the upstairs. In the dark you trip a few times.>

end define

end define

define room <Basement Stairs>
look <These lead to the basement. But the door at the bottom is locked. Now where did you put those keys???>
north <Den>
script if got <Key> then msg <You probably want to use the key to open the door. Just "use Key".>
use <Flashlight> msg <You shine the flashlight around the room. Nothing appears that wasn't visible before.>
use <Key> do <~Internal Procedure 246>
define object <Stairs>
look msg <Stairs to help you get down to the basement. Don't trip!>

end define

end define

define room <Hallway>
look <You are in the upstairs hallway.>
south <Stairs>
place <Guest Room 1>
place <Guest Room 2>
use <Flashlight> msg <You shine the flashlight around the room. All that appears are the light switches to the Guest Bedrooms and the light switch to the Hallway.>
define object <Pictures>
look msg <Of course you can't see these in the dark.>
use <Flashlight> msg <You see pictures of what you were like when you were little.>

end define

end define

define room <Guest Room 1>
look <This is the first guest room.>
out <Hallway>
use <Flashlight> msg <You shine the flashlight around the room. Nothing appears that wasn't visible before.>
define object <Bed>
look msg <You see the faint outline of a bed.>
use <Flashlight> msg <You can see the fully illuminated bed with the covers now.>

end define
define object <Dresser>
look msg <You see the outline of the dresser.>
use <Flashlight> do <~Internal Procedure 239>

end define

end define

define room <Guest Room 2>
look <This is the second guest room.>
out <Hallway>
use <Flashlight> msg <You shine the flashlight around the room. Nothing appears that wasn't visible before.>
define object <Bed>
look msg <You can see the faint outline of a bed.>
use <Flashlight> msg <You can see the fully illuminated bed now.>

end define
define object <Dresser>
look do <~Internal Procedure 238>
use <Flashlight> msg <You open the drawers, but there is nothing in it.>

end define

end define

define room <Game Room>
look <This is your game room. It has a pool table and more.>
north <Basement Stairs opened>
place <Breaker>
use <Flashlight> msg <You use the flashlight. Nothing much appears.>
define object <Pool Table>
look msg <This is what you play pool on.>

end define

end define

define room <Breaker>
look <You can't see anything.>
out <Game Room>
command <Reset Breaker> do <~Internal Procedure 247>
use <Flashlight> do <~Internal Procedure 248>
define object <Breaker>
look msg <You look at the directions. They say "reset Breaker".>
hidden

end define

end define

define room <Basement Stairs opened>
alias <Basement Stairs>
look <You are in the basement stairs.>
north <Den>
south <Game Room>

end define

define procedure <~Internal Procedure 236>
msg <You take your book.>
give <Book>
hideobject <Book>

end define

define procedure <~Internal Procedure 237>
if NOT got <Flashlight> then msg <You can't see anything.>
if got <Flashlight> then msg <There are some clothes strewn about.>

end define

define procedure <~Internal Procedure 238>
msg <You can see the outline of a dresser.>
msg <You see something that looks like the outline of a flashlight. >
msg <So that's where you put it!>
give <Flashlight>
msg <You should use the flashlight on other items to see them in the light.>

end define

define procedure <~Internal Procedure 239>
msg <You use the flashlight and open the drawers of the dresser. You see there is a cd player in there. You've been looking for that!>
give <CD Player>

end define

define procedure <~Internal Procedure 240>
msg <You take the key.>
give <Key>

end define

define procedure <~Internal Procedure 241>
msg <You shine the flashlight on the bookshelf. On the top you see a key. It probably goes to the basement.>
give <Key>

end define

define procedure <~Internal Procedure 242>
msg <You drop the CD Player and put it where it is supposed to be.>
revealobject <CD Player>
lose <CD Player>

end define

define procedure <~Internal Procedure 243>
if real <Bookshelf> then do <~Internal Procedure 252> else do <~Internal Procedure 253>

end define

define procedure <~Internal Procedure 244>
msg <You take a snack.>
give <Midnight Snack>

end define

define procedure <~Internal Procedure 245>
msg <You can see the cupboards now.>
showobject <Cupboards>

end define

define procedure <~Internal Procedure 246>
if got <Key> then do <~Internal Procedure 255>
end define

define procedure <~Internal Procedure 247>
if real <Breaker> then do <~Internal Procedure 249>

end define

define procedure <~Internal Procedure 248>
msg <You can see the Breaker now.>
showobject <Breaker>

end define

define procedure <~Internal Procedure 249>
msg <Good Job!! The power in your house came back on!>
playerwin <>

end define

define procedure <~Internal Procedure 250>
msg <You can see your bookshelf now.>
showobject <Bookshelf>

end define

define procedure <~Internal Procedure 251>
msg <You use the flashlight. Now you can see your bookshelf.>
revealobject <Bookshelf>

end define

define procedure <~Internal Procedure 252>
msg <You put it on the bookshelf.>
lose <Book>

end define

define procedure <~Internal Procedure 253>
msg <You put it on your bed.>
lose <Book>

end define

define procedure <~Internal Procedure 254>
msg <You eat the Midnight Snack.>
lose <Midnight Snack>

end define

define procedure <~Internal Procedure 255>
msg <You use the key to get into the basement.>
goto <Game Room>
set <Basement;1>
end define

define text <intro>
You are reading a book in your bedroom at night, when suddenly all the lights go off. You must find a way to turn the lights on.
end define

define text <win>
Good job! You turned the lights on.
end define

define text <lose>

end define


